Z-Key Aerospace

[KSP 1.4.5] [x] Science! - KSP Science report and checklist (V5.17)

Recommended Posts

I'm updating now...

I'd have done it earlier but I had 4 job interviews in 5 days this week and I'm still freaking out.

Share this post


Link to post
Share on other sites

Interviews are not fun.   Hopefully you're getting some good vibes from at least one of them.

(My dad, a long-time personnel director, once observed that in job hunting, if you apply for 1,000 positions and get 999 rejections, it's still a win.   But that doesn't mean it's not rough going through the other 999...)

Share this post


Link to post
Share on other sites

Investigative journalism going on here :D hope it includes to lag fix.

Edited by maculator
crazy stuff

Share this post


Link to post
Share on other sites

Strange Error

I use 1.41 with DLC

Deleted old science folder

checked file integrity with steam

downloaded new version of science 

checked version file: 5.13 for 1.41

when i start kerbal space program module manager says: 5.12 ... there is an update to 5.13... what?

deleted mod

used ckan ... same error

 

 

Great mod. on of 3 that are must have (kos, kerbal eng, this)

Edited by SchitzoSchaf

Share this post


Link to post
Share on other sites
On 3/16/2018 at 6:29 AM, John007qwe said:

I've updated my dll version to 1.4 for those who prefer my reduced lag alternative

https://www.dropbox.com/s/cad7tc9wvcrx6dp/[x] Science!.dll?dl=0

Can you update the x science dll to 1.4.1? I do not want lag when I do my experiments, although if you can't that is alright!

Edited by IcyWolfy

Share this post


Link to post
Share on other sites
13 hours ago, IcyWolfy said:

Can you update the x science dll to 1.4.1? I do not want lag when I do my experiments, although if you can't that is alright!

It will work for 1.4.1 since there was no change in the code.

Share this post


Link to post
Share on other sites

The version of x-Science installed by CKAN (5.11) works very laggy on my KSP 1.3.1 with RO/RSS/RP-0.

I tried to replace the .dll file from this thread but after that x-science does not work (there're no more its buttons).

My log file

Share this post


Link to post
Share on other sites
18 hours ago, Cognitive_demi said:

The version of x-Science installed by CKAN (5.11) works very laggy on my KSP 1.3.1 with RO/RSS/RP-0.

I tried to replace the .dll file from this thread but after that x-science does not work (there're no more its buttons).

My log file

yup seems like the updated fix .dll isn't compatible with 1.3.1,

here's a link to the old version https://transfer.sh/Wy95e/[x] Science!.dll

Share this post


Link to post
Share on other sites

am i missing something? i dont see in the help or op or anywhere where the following feature is available in the GUI or cfg:

  • No more searching around in service bays - run experiments at the click of a button

Share this post


Link to post
Share on other sites
24 minutes ago, inigma said:

am i missing something? i dont see in the help or op or anywhere where the following feature is available in the GUI or cfg:

  • No more searching around in service bays - run experiments at the click of a button

There is a button in the stock toolbar. You can turn it off and then right clicking the main button in the toolbar will have the same effect.

Share this post


Link to post
Share on other sites

I suppose this works on the 1.4.2?

 

And many thanx to the author :)

Edited by Jungfaha
;p

Share this post


Link to post
Share on other sites

Thank YOU!

I just tried this mod for the first time today, and I felt compelled to thank the author.

Share this post


Link to post
Share on other sites

Is there anything that can be done about the experiments that show up as live but are actually "can't do this right now" or something to that effect? For example, hauling regular and universal goo canisters confuses the system. Universal science Jr module always seems available as well, even when you don't have the "normal" version on board. 

Share this post


Link to post
Share on other sites
9 hours ago, Warezcrawler said:

it does

As far I seen it doesn't! I cannot access my custom settings menu when installed with other mods, I have not tried with x science only. I'm currently playing with 1.4.1 because 1.4.2 broke too many things for me.

Share this post


Link to post
Share on other sites
32 minutes ago, LatiMacciato said:

As far I seen it doesn't! I cannot access my custom settings menu when installed with other mods, I have not tried with x science only. I'm currently playing with 1.4.1 because 1.4.2 broke too many things for me.

I'm playing 1.4.2, and have not noticed any significant issues with x science I did not have in 1.3.1. It's the same version as I used in 1.4.1 and the same experience there. Are you sure you do not have a mod that is conflicting with it? Which version are you  running. Is it the latest 5.13?

My modlist

Spoiler

Mod DLLs found:
Stock assembly: Assembly-CSharp v0.0.0.0
ModuleManager v3.0.6.0
MiniAVC v1.0.3.2
aaa_Toolbar v1.7.17.5
USITools v1.0.0.0
ToolbarControl v0.1.5.7 / v1.0.0.0
B9_Aerospace_WingStuff v1.0.0.0
BetterTimeWarp v2.3.10.0
BonVoyage v0.13.2.1
CameraFocusChanger v1.0.3.0 / v1.0.1.0
Chatterer v0.9.94.2077
ClickThroughBlocker v0.1.6.1 / v1.0.0.0
CommNetVisualisation v1.0.0.0 / v1.0.2
CCK v2.0.2.0 / v2.0.2.0 for KSP 1.3
ContractConfigurator v1.0.0.0 / v1.24.0
AGExt v2.3.3.0 / v1.0.0.0
TWR1 v1.0.0.0
DistantObject v1.9.1.39037
DMagic v1.3.0.12 / vv1.3.12
ProgressParser v1.0.9.0 / vv9.0
ContractParser v1.0.8.0 / vv8.0
CapCom v1.0.2.8 / vv2.8
ContractsWindow v1.0.8.2 / vv8.2
ContractsWindow.Unity v1.0.8.2
DockRotate v1.4.1.10
EditorExtensionsRedux v3.3.19.3
Atmosphere v1.4.0.1
CelestialShadows v1.4.0.1
EVEManager v1.4.0.1
PartFX v1.4.0.1
PQSManager v1.4.0.1
ShaderLoader v1.4.0.1
Terrain v1.4.0.1
TextureConfig v1.4.0.1
Utils v1.4.0.1
_BuildManager v1.4.0.1
Firespitter v7.3.6652.37613
FlexoTubes v1.0.6.0 / v6.0
FTLDriveContinued v0.2.1.1 / v1.0.0.0
GTI_MultiModeConverter v2.8.0.0
GTI_MultiModeEngine v2.8.0.0
GTI_MultiModeHarvester v2.8.0.0
GTI_MultiModeIntake v2.8.0.0
GTI_Utilities v2.8.0.0
InterstellarFuelSwitch v2.11.1.0 / v2.11.1
Scale_Redist v1.0.0.0
KAS v0.6.4.0 / v0.6.4 for KSP 1.4+
MiniAVC v1.0.3.1
KerbalEngineer v1.1.3.0
KerbalEngineer.Unity v1.0.0.0
KerbalJointReinforcement v3.3.3.0
KIS v1.10.6640.40620 / v1.10 for KSP 1.4
KSPDev_Utils.0.31 v0.31.6640.37756 / v0.31 for KSP v1.4
MiniAVC v1.0.3.0
KRnD v0.0.0.0
MechJeb2 v2.5.1.0 / v / v2.7.1.0
MemGraph v1.1.0.3
NavHud v1.3.5.0
PreciseNode v1.2.9.0 / v1.2.4.0
ProjectManager v1.0.0.0
ProgressiveCBMaps v0.1.25.0
ResearchBodies v1.9.7.0
SCANsat v1.8.5.0 / vv18.5
SCANmechjeb v1.8.5.0 / vv18.5
SCANsat.Unity v1.8.5.0
CLSInterfaces v1.2.0.0
ShipManifest v5.2.1.0
SmokeScreen v2.8.0.0
Stock assembly: KSPSteamCtrlr v0.0.1.35
Stock assembly: Steamworks.NET v9.0.0.0 / v9.0.0
TarsierSpaceTech v7.3.0.0
BetterTracking v1.0.2.0 / v2.0
BetterTracking.Unity v1.0.2.0
KerbalAlarmClock v3.9.0.0
TransferWindowPlanner v1.6.3.0
DynamicTanks v1.0.0.0
Konstruction v0.0.0.0
WaypointManager v1.0.0.0 / v2.7.2
WorldStabilizer v1.0.6652.42492
[x] Science! v5.13.6649.40338

 

Share this post


Link to post
Share on other sites
13 minutes ago, Warezcrawler said:

I'm playing 1.4.2, and have not noticed any significant issues with x science I did not have in 1.3.1. It's the same version as I used in 1.4.1 and the same experience there. Are you sure you do not have a mod that is conflicting with it? Which version are you  running. Is it the latest 5.13?

My modlist

  Reveal hidden contents

Mod DLLs found:
Stock assembly: Assembly-CSharp v0.0.0.0
ModuleManager v3.0.6.0
MiniAVC v1.0.3.2
aaa_Toolbar v1.7.17.5
USITools v1.0.0.0
ToolbarControl v0.1.5.7 / v1.0.0.0
B9_Aerospace_WingStuff v1.0.0.0
BetterTimeWarp v2.3.10.0
BonVoyage v0.13.2.1
CameraFocusChanger v1.0.3.0 / v1.0.1.0
Chatterer v0.9.94.2077
ClickThroughBlocker v0.1.6.1 / v1.0.0.0
CommNetVisualisation v1.0.0.0 / v1.0.2
CCK v2.0.2.0 / v2.0.2.0 for KSP 1.3
ContractConfigurator v1.0.0.0 / v1.24.0
AGExt v2.3.3.0 / v1.0.0.0
TWR1 v1.0.0.0
DistantObject v1.9.1.39037
DMagic v1.3.0.12 / vv1.3.12
ProgressParser v1.0.9.0 / vv9.0
ContractParser v1.0.8.0 / vv8.0
CapCom v1.0.2.8 / vv2.8
ContractsWindow v1.0.8.2 / vv8.2
ContractsWindow.Unity v1.0.8.2
DockRotate v1.4.1.10
EditorExtensionsRedux v3.3.19.3
Atmosphere v1.4.0.1
CelestialShadows v1.4.0.1
EVEManager v1.4.0.1
PartFX v1.4.0.1
PQSManager v1.4.0.1
ShaderLoader v1.4.0.1
Terrain v1.4.0.1
TextureConfig v1.4.0.1
Utils v1.4.0.1
_BuildManager v1.4.0.1
Firespitter v7.3.6652.37613
FlexoTubes v1.0.6.0 / v6.0
FTLDriveContinued v0.2.1.1 / v1.0.0.0
GTI_MultiModeConverter v2.8.0.0
GTI_MultiModeEngine v2.8.0.0
GTI_MultiModeHarvester v2.8.0.0
GTI_MultiModeIntake v2.8.0.0
GTI_Utilities v2.8.0.0
InterstellarFuelSwitch v2.11.1.0 / v2.11.1
Scale_Redist v1.0.0.0
KAS v0.6.4.0 / v0.6.4 for KSP 1.4+
MiniAVC v1.0.3.1
KerbalEngineer v1.1.3.0
KerbalEngineer.Unity v1.0.0.0
KerbalJointReinforcement v3.3.3.0
KIS v1.10.6640.40620 / v1.10 for KSP 1.4
KSPDev_Utils.0.31 v0.31.6640.37756 / v0.31 for KSP v1.4
MiniAVC v1.0.3.0
KRnD v0.0.0.0
MechJeb2 v2.5.1.0 / v / v2.7.1.0
MemGraph v1.1.0.3
NavHud v1.3.5.0
PreciseNode v1.2.9.0 / v1.2.4.0
ProjectManager v1.0.0.0
ProgressiveCBMaps v0.1.25.0
ResearchBodies v1.9.7.0
SCANsat v1.8.5.0 / vv18.5
SCANmechjeb v1.8.5.0 / vv18.5
SCANsat.Unity v1.8.5.0
CLSInterfaces v1.2.0.0
ShipManifest v5.2.1.0
SmokeScreen v2.8.0.0
Stock assembly: KSPSteamCtrlr v0.0.1.35
Stock assembly: Steamworks.NET v9.0.0.0 / v9.0.0
TarsierSpaceTech v7.3.0.0
BetterTracking v1.0.2.0 / v2.0
BetterTracking.Unity v1.0.2.0
KerbalAlarmClock v3.9.0.0
TransferWindowPlanner v1.6.3.0
DynamicTanks v1.0.0.0
Konstruction v0.0.0.0
WaypointManager v1.0.0.0 / v2.7.2
WorldStabilizer v1.0.6652.42492
[x] Science! v5.13.6649.40338

 

Yes, using x science 5.13, and loads of mods. I narrowed it down to incompatiblity with snacks and toolbar etc .. as mentioned above I might have to test with x science only.

Edited by LatiMacciato

Share this post


Link to post
Share on other sites
2 minutes ago, LatiMacciato said:

yes using x science 5.13, and a s*load of mods. I narrowed it down to incompatiblity with snacks and toolbar etc .. as mentioned above I might have to test with x science only.

toolbar, you mean blizzy toolbar? I have that on, working fine... Don't know about snacks though. There might be something.

Edited by Warezcrawler

Share this post


Link to post
Share on other sites
48 minutes ago, Warezcrawler said:

toolbar, you mean blizzy toolbar? I have that on, working fine... Don't know about snacks though. There might be something.

going to test it now with all toolbar and x science only

Spoiler

KSP: 1.4.2 (Unix) - Unity: 2017.1.3p1 - OS: Linux 4.4 Ubuntu 16.04 64bit
Toolbar - 1.7.17.5
ToolbarControl - 0.1.5.7
GCMonitor - 1.4.8
KSP-AVC Plugin - 1.2.0.1
[x] Science! - 5.13

toolbar is not appearing, maybe toolbar can't handle x science with KSP 1.4.2 (all mods are KSP 1.4.1-compatible tho).
Maybe its also a Linux-relevant thing.

another test run

Spoiler

KSP: 1.4.2 (Unix) - Unity: 2017.1.3p1 - OS: Linux 4.4 Ubuntu 16.04 64bit
KSP-AVC Plugin - 1.2.0.1
[x] Science! - 5.13

Spoiler

Environment Info
Unix 7FFFFFFFFFFFFFFF  Args: KSP.x86_64

Mod DLLs found:
Stock assembly: Assembly-CSharp v0.0.0.0
ModuleManager v3.0.6.0
KSP-AVC v1.2.0.1
MiniAVC v1.0.3.2
Stock assembly: KSPSteamCtrlr v0.0.1.35
Stock assembly: Steamworks.NET v9.0.0.0 / v9.0.0
MiniAVC v1.0.3.0
[x] Science! v5.13.6649.40338

Folders and files in GameData:
KSP-AVC
Stock folder: Squad

[x] Science!
ModuleManager.3.0.6.dll

************************************************************************

launcher icon not appearing as supposed in KSP 1.4.2!

this is just a observational bug report thing .. not a complaint, but might just be a help in assigning bugfixes

in was using sandbox a game .... sorry!

Edited by LatiMacciato

Share this post


Link to post
Share on other sites

Works for me. :)

any way to get it to stop saying its not compatible on the load screen?

 

Mod list: [x] science v5.13, Chatterer, KER v1.4.5, Final Frontier.

Edited by Jungfaha

Share this post


Link to post
Share on other sites
3 hours ago, Jungfaha said:

any way to get it to stop saying its not compatible on the load screen?

Yep, you can edit file [x] Science!.version in the mod folder. You need to update this part (change patch to 2):

    "KSP_VERSION":
    {
        "MAJOR":1,
        "MINOR":4,
        "PATCH":1
    }

 

Share this post


Link to post
Share on other sites
On 30/3/2018 at 10:26 PM, LatiMacciato said:

going to test it now with all toolbar and x science only

  Reveal hidden contents

KSP: 1.4.2 (Unix) - Unity: 2017.1.3p1 - OS: Linux 4.4 Ubuntu 16.04 64bit
Toolbar - 1.7.17.5
ToolbarControl - 0.1.5.7
GCMonitor - 1.4.8
KSP-AVC Plugin - 1.2.0.1
[x] Science! - 5.13

toolbar is not appearing, maybe toolbar can't handle x science with KSP 1.4.2 (all mods are KSP 1.4.1-compatible tho).
Maybe its also a Linux-relevant thing.

another test run

  Reveal hidden contents

KSP: 1.4.2 (Unix) - Unity: 2017.1.3p1 - OS: Linux 4.4 Ubuntu 16.04 64bit
KSP-AVC Plugin - 1.2.0.1
[x] Science! - 5.13

  Reveal hidden contents

Environment Info
Unix 7FFFFFFFFFFFFFFF  Args: KSP.x86_64

Mod DLLs found:
Stock assembly: Assembly-CSharp v0.0.0.0
ModuleManager v3.0.6.0
KSP-AVC v1.2.0.1
MiniAVC v1.0.3.2
Stock assembly: KSPSteamCtrlr v0.0.1.35
Stock assembly: Steamworks.NET v9.0.0.0 / v9.0.0
MiniAVC v1.0.3.0
[x] Science! v5.13.6649.40338

Folders and files in GameData:
KSP-AVC
Stock folder: Squad

[x] Science!
ModuleManager.3.0.6.dll

************************************************************************

launcher icon not appearing as supposed in KSP 1.4.2!

this is just a observational bug report thing .. not a complaint, but might just be a help in assigning bugfixes

in was using sandbox a game .... sorry!

Nice to hear you found your issue :cool:

Happy gaming

Share this post


Link to post
Share on other sites
2 minutes ago, Warezcrawler said:

Nice to hear you found your issue :cool:

Happy gaming

yes, sorry for cluttering up the thread  .. was on sandbox .. at that time I just might needed sleep, x science works good on 1.4.2 so far.

Share this post


Link to post
Share on other sites
This thread is quite old. Please consider starting a new thread rather than reviving this one.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.